# eric7.JediInterface.RefactoringPreviewDialog

Module implementing a dialog to preview refactoring changes.

### Global Attributes

None

### Classes

RefactoringPreviewDialog | Class implementing a dialog to preview refactoring changes.

### Functions

None

## RefactoringPreviewDialog

Class implementing a dialog to preview refactoring changes.

### Derived from

QDialog, Ui_RefactoringPreviewDialog

### Class Attributes

None

### Class Methods

None

### Methods

RefactoringPreviewDialog | Constructor

### Static Methods

None

#### RefactoringPreviewDialog (Constructor)

RefactoringPreviewDialog(title, diff, parent=None)

Constructor

title (str)
  title string to be shown above the diff
diff (str)
  changes to be shown (unified diff)
parent (QWidget (optional))
  reference to the parent widget (defaults to None)

Up